// Variables
@import "variables";

/*
 * Estilos da navbar
 */
.navbar{

  .navbar-header{
    .navbar-brand{
      color: $custom-white-color;
      background-color: $custom-orage-color;
      transform: skew(-15deg);
    }
  }

  &.navbar-default{
    font-size: 1.2em;
    background-color: $custom-black-color;
    border-width: 0px;
    border-radius: 0px;

    .navbar-nav{
      > li {
        > a {
          color: $custom-white-color;
          background-color: rgba(248, 248, 248, 0);
          text-transform: uppercase;
          font-weight: 500;

          &:hover,
          &:focus {
            color: $custom-white-color;
            background-color: $custom-orage-color;
            transform: skew(-15deg);
          }
        }
      }

      > .active{
        > a,
        > a:hover,
        > a:focus {
          color: $custom-white-color;
          background-color: $custom-orage-color;
          transform: skew(-15deg);
        }
      }
    }


    .navbar-toggle {
      border-color: $custom-cinza-color;

      .icon-bar {
        background-color: $custom-cinza-color;
      }

      &:hover,
      &:focus {
        background-color: $custom-cinza-color;

        .icon-bar,
        .icon-bar {
          background-color: $custom-cinza-color;
        }
      }

    }

  }

  .navbar-brand{
    color: $custom-white-color !important;
  }
}